Name: hwdata
Summary: Hardware identification and configuration data
Version: 0.336
Release: 1%{?dist}
License: GPLv2+
Source: https://github.com/vcrhonek/hwdata/archive/v%{version}.tar.gz
URL:    https://github.com/vcrhonek/hwdata
BuildArch: noarch

Patch9000:      enhancement-update-Hi1822-info-in-pci-ids.patch
Patch9001:      bugfix-rename-some-pci-name.patch
Patch9002:      enhancement-update-1822-PCIe-information.patch

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT libdir=%{_prefix}/lib

%files
%license COPYING
%doc LICENSE
%dir %{_datadir}/%{name}
%{_prefix}/lib/modprobe.d/dist-blacklist.conf
%{_datadir}/%{name}/*

%changelog
* Sat Jun 20 2020 shixuantong <shixuantong@huawei.com> -0.336-1
- Update to 0.336

* Mon Dec 23 2019 wangbin224<wangbin224@huawei.com> - 0.316-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update 1822 PCIe information

* Sat Apr 6 2019 luochunsheng<luochunsheng@huawei.com> - 0.316-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:remove sensitive information

* Mon Jan 28 2019 Enbo Kang<kangenbo@huawei.com> - 0.316-1.h2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:sync patches

* Fri Jan 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.316-1
- Package init
